package com.dbxml.db.admin.nodes;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: MenuItem.java,v 1.2 2004/02/12 00:17:54 bradford Exp $
 */

/**
 * MenuItem
 */

public final class MenuItem {
   public static final int ACTION_SEPARATOR = -1;

	public static final MenuItem SEPARATOR = new MenuItem(ACTION_SEPARATOR, "");
	
   private int action;
   private String label;
   private boolean enabled = true;

   public MenuItem() {
      this.action = ACTION_SEPARATOR;
      this.label = null;
   }

   public MenuItem(int action, String label) {
      this.action = action;
      this.label = label;
   }

   public MenuItem(int action, String label, boolean enabled) {
      this(action, label);
      this.enabled = enabled;
   }

   public void setAction(int action) {
      this.action = action;
   }

   public int getAction() {
      return action;
   }

   public void setLabel(String label) {
      this.label = label;
   }

   public String getLabel() {
      return label;
   }

   public void setEnabled(boolean enabled) {
      this.enabled = enabled;
   }

   public boolean getEnabled() {
      return enabled;
   }
}
